Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225925 - Merge Review: jakarta-commons-dbcp
Summary: Merge Review: jakarta-commons-dbcp
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:09 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 18:13:05 UTC
jochen: fedora-review+


Attachments (Terms of Use)
Build log from mock (deleted)
2007-03-19 19:29 UTC, Jochen Schmitt
no flags Details
build log with failed unit tests (deleted)
2007-03-22 17:25 UTC, Jochen Schmitt
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 19:09:08 UTC
Fedora Merge Review: jakarta-commons-dbcp

http://cvs.fedora.redhat.com/viewcvs/devel/jakarta-commons-dbcp/
Initial Owner: dbhole@redhat.com

Comment 2 Jochen Schmitt 2007-03-19 19:29:25 UTC
Created attachment 150420 [details]
Build log from mock

Build log from failed build.

Comment 3 Matt Wringe 2007-03-20 17:39:15 UTC
Hmm, I didn't see this error before, thanks for pointing it out. It appears to
be random, and can affect different tests. I am currently looking into it, but I
have a feeling I will just have to disable that test.

Comment 4 Matt Wringe 2007-03-21 19:52:57 UTC
I disabled that one test, I tried to figure out what exactly was causing the
test to fail sometimes but couldn't find an exact solution.


Updated files with that test disabled:
https://mwringe.108.redhat.com/files/documents/175/320/jakarta-commons-dbcp.spec
https://mwringe.108.redhat.com/files/documents/175/323/jakarta-commons-dbcp-1.2.1-10jpp.1.src.rpm

Comment 5 Jochen Schmitt 2007-03-21 20:27:19 UTC
God:
+ Mock build works fine.

Bad:
- Warning from rpmlint on source rpm:
rpmlint jakarta-commons-dbcp-1.2.1-10jpp.1.fc7.src.rpm
W: jakarta-commons-dbcp non-standard-group Development/Libraries/Java
- Warings from rpmlint on binary rpm:
W: jakarta-commons-dbcp non-standard-group Development/Libraries/Java
W: jakarta-commons-dbcp dangling-symlink
/usr/share/java/hibernate_jdbc_cache.jar /etc/alternatives/hibernate_jdbc_cache
W: jakarta-commons-dbcp symlink-should-be-relative
/usr/share/java/hibernate_jdbc_cache.jar /etc/alternatives/hibernate_jdbc_cache
- Debuginfo rpm contains no source files.



Comment 6 Matt Wringe 2007-03-21 21:04:24 UTC
(In reply to comment #5)
> God:
> + Mock build works fine.
> 
> Bad:
> - Warning from rpmlint on source rpm:
> rpmlint jakarta-commons-dbcp-1.2.1-10jpp.1.fc7.src.rpm
> W: jakarta-commons-dbcp non-standard-group Development/Libraries/Java
Group warnings can be ignored
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225925). Since this is a
jpp based rpm, we try and keep the jpp and fedora versions as close as possible
(even on things like group names).

> - Warings from rpmlint on binary rpm:
> W: jakarta-commons-dbcp non-standard-group Development/Libraries/Java
See message above

> W: jakarta-commons-dbcp dangling-symlink
> /usr/share/java/hibernate_jdbc_cache.jar /etc/alternatives/hibernate_jdbc_cache
> W: jakarta-commons-dbcp symlink-should-be-relative
> /usr/share/java/hibernate_jdbc_cache.jar /etc/alternatives/hibernate_jdbc_cache
This package uses the alternatives system and needs to create a ghost symlink to
the directories owned by alternatives. Since this package doesn't own or install
the alternatives directories, it has to have a dangling symlink.  

> - Debuginfo rpm contains no source files.
You will also notice that debuginfo is not mentioned anywhere in the spec file
:) Debuginfo is generated since this is an aot compiled java package and it is
handled by the aot-compile-rpm command.

Comment 7 Jochen Schmitt 2007-03-22 17:23:43 UTC
Hello,

But I have found an .so file in %{_libdir}. This means, that thsi package isn't
an noach package and contains native binary code. In this case the debuginfo
should conatins the source files which was used to compiled the binary code.

As second, the package contains some unit test whitch fails. Please see the
attached build log.

Comment 8 Jochen Schmitt 2007-03-22 17:25:55 UTC
Created attachment 150675 [details]
build log with failed unit tests

Comment 9 Matt Wringe 2007-03-22 17:52:46 UTC
(In reply to comment #7)
> Hello,
> 
> But I have found an .so file in %{_libdir}. This means, that thsi package isn't
> an noach package and contains native binary code. In this case the debuginfo
> should conatins the source files which was used to compiled the binary code.
This package is not a noarch package (it can be if '_without_gcj_support 1' is
added at the top). The gcj packages are AOT (ahead of time) compiled so that
they run faster, this produces natively compiled java code. So if you are
searching for what code produces the .so files, its just the java classes.
As I started before, the debug package is not handled by the spec file, it is
handled throught the aot-compile-rpm option. Please see any other java package
in Fedora.

> As second, the package contains some unit test whitch fails. Please see the
> attached build log.
The exceptions you see in the logs are not test failures, a test failure would
have stopped the build. The tests are most likely trying to cause exceptions to
test that exceptions are properly being handled.
At the end of the tests it says "[java] OK (196 tests)" which mean all 196 tests
passed with no errors and no failures.



Comment 10 Jochen Schmitt 2007-03-27 15:34:03 UTC
Good:
+ Naming seems ok.
+ Package contains license text.
+ Mock build works fine.


Bad:
- Source0 contains not a full qualified URL
- Bad Buildroot
BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)


Comment 11 Matt Wringe 2007-04-16 20:47:39 UTC
(In reply to comment #10)
> Good:
> + Naming seems ok.
> + Package contains license text.
> + Mock build works fine.
> 
> 
> Bad:
> - Source0 contains not a full qualified URL
Fixed
> - Bad Buildroot
> BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Fixed
>   (wiki: PackagingGuidelines#BuildRoot)
> 

New srpm here:
https://mwringe.108.redhat.com/files/documents/175/323/jakarta-commons-dbcp-1.2.1-10jpp.1.fc7.src.rpm

(sorry for the delay, I kindof lost track of this one)

Comment 12 Jochen Schmitt 2007-04-18 15:50:49 UTC
Good:
+ Tar ball matches with upstream.

bad:
- Duplicated BRs
Duplicate BuildRequires: xml-commons-apis (by ant), jpackage-utils (by ant)
- Mock build fails
This may take a while
setup
0:jakarta-commons-pool-1.3-5jpp.1.x86_64
0:xml-commons-apis-1.3.02-0.b2.7jpp.10.x86_64
0:junit-3.8.2-3jpp.1.x86_64
No Package Found for jakarta-commons-pool-tomcat5




Comment 13 Matt Wringe 2007-04-26 01:07:48 UTC
(In reply to comment #12)
> Good:
> + Tar ball matches with upstream.
> 
> bad:
> - Duplicated BRs
> Duplicate BuildRequires: xml-commons-apis (by ant), jpackage-utils (by ant)
I fail to see the point, my package shouldn't fail later on because ant decides
it wants to change it dependencies.
> - Mock build fails
> This may take a while
> setup
> 0:jakarta-commons-pool-1.3-5jpp.1.x86_64
> 0:xml-commons-apis-1.3.02-0.b2.7jpp.10.x86_64
> 0:junit-3.8.2-3jpp.1.x86_64
> No Package Found for jakarta-commons-pool-tomcat5
Are you sure you are using rawhide? the *-tomcat5 packages have been there for a
while



Comment 14 Jochen Schmitt 2007-04-26 15:33:11 UTC
Good:
+ Mock build works fine for FC7.
+ Rpmlint for source rpm ok (with Warnings)
+ Tar ball matches with upstream.
+ Binary rpm are ok (with warnings)

*** APPROVED ***




Comment 15 Matt Wringe 2007-04-26 15:42:35 UTC
Built into rawhide, it might take a while for it to make it to the mirrors
(jakarta-commons-dbcp-1.2.1-10jpp.1.fc7)

Comment 16 Jochen Schmitt 2007-05-22 14:41:31 UTC
Please close this bug after building the package.


Note You need to log in before you can comment on or make changes to this bug.